---
title: zigbee2mqtt_docker
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.zigbee2mqtt) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.zigbee2mqtt?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.zigbee2mqtt) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.zigbee2mqtt/src/branch/master/LICENSE)

Setup [zigbee2mqtt](https://github.com/Koenkk/zigbee2mqtt). Zigbee2mqtt allows you to use your Zigbee devices without the vendors bridge or gateway. It bridges events and allows you to control your Zigbee devices via MQTT.

- [Default Variables](#default-variables)
  - [zigbee2mqtt_cache_state](#zigbee2mqtt_cache_state)
  - [zigbee2mqtt_cap_add](#zigbee2mqtt_cap_add)
  - [zigbee2mqtt_cap_drop](#zigbee2mqtt_cap_drop)
  - [zigbee2mqtt_channel](#zigbee2mqtt_channel)
  - [zigbee2mqtt_container_name](#zigbee2mqtt_container_name)
  - [zigbee2mqtt_cpu_shares](#zigbee2mqtt_cpu_shares)
  - [zigbee2mqtt_data_volume](#zigbee2mqtt_data_volume)
  - [zigbee2mqtt_device_options](#zigbee2mqtt_device_options)
  - [zigbee2mqtt_devices](#zigbee2mqtt_devices)
  - [zigbee2mqtt_devices_ban](#zigbee2mqtt_devices_ban)
  - [zigbee2mqtt_devices_whitelist](#zigbee2mqtt_devices_whitelist)
  - [zigbee2mqtt_elapsed](#zigbee2mqtt_elapsed)
  - [zigbee2mqtt_exposed_ports](#zigbee2mqtt_exposed_ports)
  - [zigbee2mqtt_ext_pan_id](#zigbee2mqtt_ext_pan_id)
  - [zigbee2mqtt_extra_hosts](#zigbee2mqtt_extra_hosts)
  - [zigbee2mqtt_homeassistant_discovery_topic](#zigbee2mqtt_homeassistant_discovery_topic)
  - [zigbee2mqtt_homeassistant_enabled](#zigbee2mqtt_homeassistant_enabled)
  - [zigbee2mqtt_homeassistant_status_topic](#zigbee2mqtt_homeassistant_status_topic)
  - [zigbee2mqtt_image](#zigbee2mqtt_image)
  - [zigbee2mqtt_last_seen](#zigbee2mqtt_last_seen)
  - [zigbee2mqtt_log_level](#zigbee2mqtt_log_level)
  - [zigbee2mqtt_memory_limit](#zigbee2mqtt_memory_limit)
  - [zigbee2mqtt_memory_reservation](#zigbee2mqtt_memory_reservation)
  - [zigbee2mqtt_mqtt_base_topic](#zigbee2mqtt_mqtt_base_topic)
  - [zigbee2mqtt_mqtt_client_id](#zigbee2mqtt_mqtt_client_id)
  - [zigbee2mqtt_mqtt_include_device_information](#zigbee2mqtt_mqtt_include_device_information)
  - [zigbee2mqtt_mqtt_password](#zigbee2mqtt_mqtt_password)
  - [zigbee2mqtt_mqtt_reject_unauthorized](#zigbee2mqtt_mqtt_reject_unauthorized)
  - [zigbee2mqtt_mqtt_server](#zigbee2mqtt_mqtt_server)
  - [zigbee2mqtt_mqtt_user](#zigbee2mqtt_mqtt_user)
  - [zigbee2mqtt_network_key](#zigbee2mqtt_network_key)
  - [zigbee2mqtt_networks](#zigbee2mqtt_networks)
  - [zigbee2mqtt_networks_applied](#zigbee2mqtt_networks_applied)
  - [zigbee2mqtt_pan_id](#zigbee2mqtt_pan_id)
  - [zigbee2mqtt_permit_join](#zigbee2mqtt_permit_join)
  - [zigbee2mqtt_pids_limit](#zigbee2mqtt_pids_limit)
  - [zigbee2mqtt_restart_policy](#zigbee2mqtt_restart_policy)
  - [zigbee2mqtt_security_opt](#zigbee2mqtt_security_opt)
  - [zigbee2mqtt_serial_disable_led](#zigbee2mqtt_serial_disable_led)
  - [zigbee2mqtt_serial_port](#zigbee2mqtt_serial_port)
  - [zigbee2mqtt_service_directory](#zigbee2mqtt_service_directory)
  - [zigbee2mqtt_service_stopped](#zigbee2mqtt_service_stopped)
  - [zigbee2mqtt_timezone](#zigbee2mqtt_timezone)
  - [zigbee2mqtt_version](#zigbee2mqtt_version)
  - [zigbee2mqtt_volumes](#zigbee2mqtt_volumes)
- [Dependencies](#dependencies)

---

## Default Variables

### zigbee2mqtt_cache_state

#### Default value

```YAML
zigbee2mqtt_cache_state: true
```

### zigbee2mqtt_cap_add

#### Default value

```YAML
zigbee2mqtt_cap_add: []
```

### zigbee2mqtt_cap_drop

#### Default value

```YAML
zigbee2mqtt_cap_drop: []
```

### zigbee2mqtt_channel

#### Default value

```YAML
zigbee2mqtt_channel: 11
```

### zigbee2mqtt_container_name

#### Default value

```YAML
zigbee2mqtt_container_name: zigbee2mqtt
```

### zigbee2mqtt_cpu_shares

#### Default value

```YAML
zigbee2mqtt_cpu_shares: _unset_
```

#### Example usage

```YAML
zigbee2mqtt_cpu_shares: '1024'
```

### zigbee2mqtt_data_volume

#### Default value

```YAML
zigbee2mqtt_data_volume: /opt/zigbee2mqtt/data
```

### zigbee2mqtt_device_options

#### Default value

```YAML
zigbee2mqtt_device_options: _unset
```

#### Example usage

```YAML
zigbee2mqtt_device_options:
  occupancy_timeout: 130
  temperature_precision: 1
```

### zigbee2mqtt_devices

Define required devices e.g. `/dev/ttyACM0`.

#### Example usage

```YAML
zigbee2mqtt_devices:
  - src: "{{ zigbee2mqtt_serial_port }}"
    dest: "{{ zigbee2mqtt_serial_port }}"
    opt: z
```

### zigbee2mqtt_devices_ban

#### Default value

```YAML
zigbee2mqtt_devices_ban: []
```

### zigbee2mqtt_devices_whitelist

#### Default value

```YAML
zigbee2mqtt_devices_whitelist: []
```

### zigbee2mqtt_elapsed

#### Default value

```YAML
zigbee2mqtt_elapsed: false
```

### zigbee2mqtt_exposed_ports

#### Default value

```YAML
zigbee2mqtt_exposed_ports: []
```

### zigbee2mqtt_ext_pan_id

#### Default value

```YAML
zigbee2mqtt_ext_pan_id: '[0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD]'
```

### zigbee2mqtt_extra_hosts

#### Default value

```YAML
zigbee2mqtt_extra_hosts: []
```

### zigbee2mqtt_homeassistant_discovery_topic

#### Default value

```YAML
zigbee2mqtt_homeassistant_discovery_topic: homeassistant
```

### zigbee2mqtt_homeassistant_enabled

#### Default value

```YAML
zigbee2mqtt_homeassistant_enabled: false
```

### zigbee2mqtt_homeassistant_status_topic

#### Default value

```YAML
zigbee2mqtt_homeassistant_status_topic: hass/status
```

### zigbee2mqtt_image

#### Default value

```YAML
zigbee2mqtt_image: koenkk/zigbee2mqtt:{{ zigbee2mqtt_version }}
```

### zigbee2mqtt_last_seen

#### Default value

```YAML
zigbee2mqtt_last_seen: disable
```

### zigbee2mqtt_log_level

#### Default value

```YAML
zigbee2mqtt_log_level: info
```

### zigbee2mqtt_memory_limit

#### Default value

```YAML
zigbee2mqtt_memory_limit: _unset_
```

#### Example usage

```YAML
zigbee2mqtt_memory_limit: 512m
```

### zigbee2mqtt_memory_reservation

#### Default value

```YAML
zigbee2mqtt_memory_reservation: _unset_
```

#### Example usage

```YAML
zigbee2mqtt_memory_reservation: 256m
```

### zigbee2mqtt_mqtt_base_topic

#### Default value

```YAML
zigbee2mqtt_mqtt_base_topic: zigbee2mqtt
```

### zigbee2mqtt_mqtt_client_id

#### Default value

```YAML
zigbee2mqtt_mqtt_client_id: zigbee2mqtt
```

### zigbee2mqtt_mqtt_include_device_information

#### Default value

```YAML
zigbee2mqtt_mqtt_include_device_information: false
```

### zigbee2mqtt_mqtt_password

#### Default value

```YAML
zigbee2mqtt_mqtt_password: _unset_
```

### zigbee2mqtt_mqtt_reject_unauthorized

#### Default value

```YAML
zigbee2mqtt_mqtt_reject_unauthorized: false
```

### zigbee2mqtt_mqtt_server

#### Default value

```YAML
zigbee2mqtt_mqtt_server: mqtt://localhost:1883
```

### zigbee2mqtt_mqtt_user

#### Default value

```YAML
zigbee2mqtt_mqtt_user: _unset_
```

### zigbee2mqtt_network_key

#### Default value

```YAML
zigbee2mqtt_network_key: _unset_
```

#### Example usage

```YAML
zigbee2mqtt_network_key: '[1, 3, 5, 7, 9, 11, 13, 15, 0, 2, 4, 6, 8, 10, 12, 13]'
```

### zigbee2mqtt_networks

#### Default value

```YAML
zigbee2mqtt_networks:
  - name: default
```

#### Example usage

```YAML
zigbee2mqtt_networks:
  - name: default
    # optional network driver, defaults to 'bride'
    driver: host
    external: false
```

### zigbee2mqtt_networks_applied

#### Default value

```YAML
zigbee2mqtt_networks_applied:
  - default
```

### zigbee2mqtt_pan_id

#### Default value

```YAML
zigbee2mqtt_pan_id: '0x1a62'
```

### zigbee2mqtt_permit_join

#### Default value

```YAML
zigbee2mqtt_permit_join: true
```

### zigbee2mqtt_pids_limit

#### Default value

```YAML
zigbee2mqtt_pids_limit: _unset_
```

### zigbee2mqtt_restart_policy

#### Default value

```YAML
zigbee2mqtt_restart_policy: always
```

### zigbee2mqtt_security_opt

#### Default value

```YAML
zigbee2mqtt_security_opt: []
```

### zigbee2mqtt_serial_disable_led

#### Default value

```YAML
zigbee2mqtt_serial_disable_led: false
```

### zigbee2mqtt_serial_port

#### Default value

```YAML
zigbee2mqtt_serial_port: _unset_
```

#### Example usage

```YAML
zigbee2mqtt_serial_port: ''
```

### zigbee2mqtt_service_directory

#### Default value

```YAML
zigbee2mqtt_service_directory: /var/lib/docker/services/zigbee2mqtt
```

### zigbee2mqtt_service_stopped

#### Default value

```YAML
zigbee2mqtt_service_stopped: false
```

### zigbee2mqtt_timezone

#### Default value

```YAML
zigbee2mqtt_timezone: Europe/Berlin
```

### zigbee2mqtt_version

#### Default value

```YAML
zigbee2mqtt_version: latest
```

### zigbee2mqtt_volumes

Define required docker volumes.

#### Default value

```YAML
zigbee2mqtt_volumes:
  - name: '{{ zigbee2mqtt_data_volume }}'
    dest: /app/data
    bind: true
```

#### Example usage

```YAML
zigbee2mqtt_volumes:
  # Instead of the name you could specify a path on the container host system,
  # but you also have to enable bind mount for this volume
  - name: data
    # target location inside the container
    dest: /var/www/app/data
    # enable bind mount, if false volume will be configured as named volume
    # keep in mind you MUST set bind in any case
    bind: True
    # Options for bind mounts
    bind_opt: "ro,z"
```



## Dependencies

None.
